package com.qmth.teachcloud.mark.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import com.qmth.teachcloud.common.enums.mark.SubjectiveStatus;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 考生分组状态表
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("mark_group_student")
@ApiModel(value="MarkGroupStudent对象", description="考生分组状态表")
public class MarkGroupStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @MppMultiId(value = "student_id")
    @ApiModelProperty(value = "考生ID")
    private Long studentId;

    @MppMultiId(value = "group_number")
    @ApiModelProperty(value = "分组ID")
    private Integer groupNumber;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "科目代码")
    private String paperNumber;

    @ApiModelProperty(value = "状态")
    private SubjectiveStatus status;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public SubjectiveStatus getStatus() {
        return status;
    }

    public void setStatus(SubjectiveStatus status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "MarkGroupStudent{" +
            "studentId=" + studentId +
            ", groupNumber=" + groupNumber +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", status=" + status +
        "}";
    }
}
